#include <iostream.h>
#include <Windows.h>
#include <winbase.h>

class MySysInfo {

	public:
		void __declspec(dllexport) GetSysInfo();
		void __declspec(dllexport) PrintSysInfo();
		unsigned long __declspec(dllexport) Release();

	private:
		SYSTEM_INFO sysinfo;

};

class MySysInfoFactory {

	public:
		long __declspec(dllexport) CreateMySysInfo(MySysInfo** ppObject);
		unsigned long __declspec(dllexport) Release();
};

long __declspec(dllexport) DllGetClassFactoryObject(MySysInfoFactory** ppObject);
